
Redmine - Defect #6784

Redmine not working with i18n gem 0.4.2

2010-11-01 13:02 - Grigory Petrov

Status: Closed Start date: 2010-11-01

Priority: Normal Due date:  

Assignee: Felix Schäfer % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 1.0.4   

Resolution: Fixed Affected version: 1.0.3

Description

See this forum post for details:

http://www.redmine.org/boards/1/topics/18793

Related issues:

Has duplicate Redmine - Defect #6810: Problem to access Users page Closed 2010-11-03

Has duplicate Redmine - Defect #6789: HTTP/500 when accessing home page OR Closed 2010-11-02

Associated revisions

Revision 4389 - 2010-11-09 20:44 - Jean-Philippe Lang

Fixed: Trunk not working with i18n gem 0.4.2 (#6784).

History

#1 - 2010-11-01 13:08 - Felix Schäfer

- Priority changed from High to Normal

#2 - 2010-11-02 14:11 - Holger Just

If you revert the workaround for i18n 0.4.1 in r4183, everything works fine again with 0.4.2.

#3 - 2010-11-02 14:21 - Holger Just

The "fixing" commit is probably this one. Sadly, I found no immediate solution for supporting both versions. Maybe we need to build a custom switch

or patch for 0.4.1...

#4 - 2010-11-02 14:30 - Grigory Petrov

Maybe just place 'if gem version < xxx' code so both 'fixing' commit and a normal code will work according to i18n gem version? Unfortunately, i'm not

very good at ruby world and don't know how it's supposed to fight dll hell here :).

#5 - 2010-11-04 12:40 - Felix Schäfer

- Target version set to 1.0.4

This https://github.com/thegcat/redmine/commit/00ef3004120035095c9cd11aba65ebd648160fe6 should make i18n 0.4.{1,2} happy with the patch.

#6 - 2010-11-05 23:05 - Holger Just

I can confirm that the patch by Felix works with i18n 0.4.(1|2), 0.3.7 and no i18n gem at all.

Eric Hulser, could you please commit this one soon? We get many requests by people falling over i18n 0.4.2 currently.

Felix Schäfer, thanks for providing the solution.

#7 - 2010-11-08 16:09 - Alex Bevilacqua

I had the same problem this morning and Felix's patch worked beautifully. This should probably be pushed sooner rather than later to avoid a

landslide of issue reports ...

#8 - 2010-11-09 20:39 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

2025-07-11 1/2

http://www.redmine.org/boards/1/topics/18793
https://www.redmine.org/projects/redmine/repository/svn/revisions/4183
http://github.com/svenfuchs/i18n/commit/20bf4fd51e6d2efb7a9082358881f626a283c763
https://github.com/thegcat/redmine/commit/00ef3004120035095c9cd11aba65ebd648160fe6
https://www.redmine.org/users/6498
https://www.redmine.org/users/3866


Fixed in r4389 using a slightly different patch to avoid another failure next time they change the method signature.

#9 - 2010-11-09 20:50 - Jean-Philippe Lang

- Subject changed from Trunk not working with i18n gem 0.4.2 to Redmine not working with i18n gem 0.4.2

- Status changed from Resolved to Closed

- Affected version (unused) changed from devel to 1.0.3

- Affected version set to 1.0.3

Merged in stable branch.

#10 - 2011-04-15 18:25 - Etienne Massip

- Category set to I18n
